#pragma once

#include <QDialog>
#include "ui_PresetSelectDlg.h"

class PresetSelectDlg : public QDialog
{
	Q_OBJECT

signals:
	void ListSelectChanged();

public:
	PresetSelectDlg(QWidget *parent = 0);
	virtual ~PresetSelectDlg();

protected:
	virtual void ChangeGroup(int index) = 0;

private slots:
	void on_buttonBox_accepted();
	void on_buttonBox_rejected();

	void on_listImages_currentItemChanged(QListWidgetItem *current, QListWidgetItem *previous);

	void on_comboDataGroup_currentIndexChanged(int index);

protected:
	Ui::PresetSelectDlg ui;
};
